## visad.data.dods
Class UIntValuator

    java.lang.Object
      visad.data.dods.Valuator
          visad.data.dods.IntValuator
              visad.data.dods.UIntValuator

Direct Known Subclasses:
  UByteValuator, UInt16Valuator, UInt32Valuator

public abstract class UIntValuator
extends IntValuator

Provides support for processing unsigned integer values in a DODS dataset. Processing includes checking for validity and unpacking.

Instances are immutable.

Field Summary

Fields inherited from class visad.data.dods.Valuator
`ranger, unpacker, vetter`

Constructor Summary
`protected` `UIntValuator(AttributeTable table, long upper)` Constructs from the attributes of a DODS variable.

Method Summary
`double` `process(double value)` Processes values.
`double[]` `process(double[] values)` Processes values.
`float` `process(float value)` Processes a value.
`float[]` `process(float[] values)` Processes a value.

Methods inherited from class visad.data.dods.IntValuator
`getRepresentationalSet`

Methods inherited from class visad.data.dods.Valuator
`decode, valuator, valueRanger, valueUnpacker, valueVetter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIntValuator

    protected UIntValuator(AttributeTable table,
                           long upper)
                    throws BadFormException,
                           VisADException,
                           RemoteException

  Constructs from the attributes of a DODS variable.

Parameters:
  `table` - The attribute table for a DODS variable.
  `upper` - Natural upper limit on packed values.
Throws:
  `BadFormException` - The attribute table is corrupt.
  `VisADException` - VisAD failure.
  `RemoteException` - Java RMI failure.

Method Detail

### process

    public float process(float value)

  Processes a value.

  Overrides:
    `process` in class `Valuator`
  Parameters:
    `value` - The packed value to be processed.

### process

    public float[] process(float[] values)

  Processes a value.

  Overrides:
    `process` in class `Valuator`

### process

    public double process(double value)

  Processes values.

  Overrides:
    `process` in class `Valuator`

### process

    public double[] process(double[] values)

  Processes values.

  Overrides:
    `process` in class `Valuator`
  Parameters:
    `values` - The packed values to be processed.